// Code generated by go-swagger; DO NOT EDIT.

package webhook_delivery_item

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"fmt"
	"io"

	"github.com/go-openapi/runtime"

	strfmt "github.com/go-openapi/strfmt"

	models "gitlab.com/pear-slices/mobile_platform/bitrise-step-api-build-trigger/models"
)

// WebhookDeliveryItemRedeliverReader is a Reader for the WebhookDeliveryItemRedeliver structure.
type WebhookDeliveryItemRedeliverReader struct {
	formats strfmt.Registry
}

// ReadResponse reads a server response into the received o.
func (o *WebhookDeliveryItemRedeliverReader) ReadResponse(response runtime.ClientResponse, consumer runtime.Consumer) (interface{}, error) {
	switch response.Code() {

	case 200:
		result := NewWebhookDeliveryItemRedeliverOK()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return result, nil

	case 400:
		result := NewWebhookDeliveryItemRedeliverBadRequest()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return nil, result

	case 401:
		result := NewWebhookDeliveryItemRedeliverUnauthorized()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return nil, result

	case 500:
		result := NewWebhookDeliveryItemRedeliverInternalServerError()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return nil, result

	default:
		return nil, runtime.NewAPIError("unknown error", response, response.Code())
	}
}

// NewWebhookDeliveryItemRedeliverOK creates a WebhookDeliveryItemRedeliverOK with default headers values
func NewWebhookDeliveryItemRedeliverOK() *WebhookDeliveryItemRedeliverOK {
	return &WebhookDeliveryItemRedeliverOK{}
}

/*WebhookDeliveryItemRedeliverOK handles this case with default header values.

OK
*/
type WebhookDeliveryItemRedeliverOK struct {
	Payload *models.ServiceStandardErrorRespModel
}

func (o *WebhookDeliveryItemRedeliverOK) Error() string {
	return fmt.Sprintf("[POST /apps/{app-slug}/outgoing-webhooks/{app-webhook-slug}/delivery-items/{webhook-delivery-item-slug}/redeliver][%d] webhookDeliveryItemRedeliverOK  %+v", 200, o.Payload)
}

func (o *WebhookDeliveryItemRedeliverOK) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.ServiceStandardErrorRespModel)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}

// NewWebhookDeliveryItemRedeliverBadRequest creates a WebhookDeliveryItemRedeliverBadRequest with default headers values
func NewWebhookDeliveryItemRedeliverBadRequest() *WebhookDeliveryItemRedeliverBadRequest {
	return &WebhookDeliveryItemRedeliverBadRequest{}
}

/*WebhookDeliveryItemRedeliverBadRequest handles this case with default header values.

Bad Request
*/
type WebhookDeliveryItemRedeliverBadRequest struct {
	Payload *models.ServiceStandardErrorRespModel
}

func (o *WebhookDeliveryItemRedeliverBadRequest) Error() string {
	return fmt.Sprintf("[POST /apps/{app-slug}/outgoing-webhooks/{app-webhook-slug}/delivery-items/{webhook-delivery-item-slug}/redeliver][%d] webhookDeliveryItemRedeliverBadRequest  %+v", 400, o.Payload)
}

func (o *WebhookDeliveryItemRedeliverBadRequest) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.ServiceStandardErrorRespModel)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}

// NewWebhookDeliveryItemRedeliverUnauthorized creates a WebhookDeliveryItemRedeliverUnauthorized with default headers values
func NewWebhookDeliveryItemRedeliverUnauthorized() *WebhookDeliveryItemRedeliverUnauthorized {
	return &WebhookDeliveryItemRedeliverUnauthorized{}
}

/*WebhookDeliveryItemRedeliverUnauthorized handles this case with default header values.

Unauthorized
*/
type WebhookDeliveryItemRedeliverUnauthorized struct {
	Payload *models.ServiceStandardErrorRespModel
}

func (o *WebhookDeliveryItemRedeliverUnauthorized) Error() string {
	return fmt.Sprintf("[POST /apps/{app-slug}/outgoing-webhooks/{app-webhook-slug}/delivery-items/{webhook-delivery-item-slug}/redeliver][%d] webhookDeliveryItemRedeliverUnauthorized  %+v", 401, o.Payload)
}

func (o *WebhookDeliveryItemRedeliverUnauthorized) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.ServiceStandardErrorRespModel)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}

// NewWebhookDeliveryItemRedeliverInternalServerError creates a WebhookDeliveryItemRedeliverInternalServerError with default headers values
func NewWebhookDeliveryItemRedeliverInternalServerError() *WebhookDeliveryItemRedeliverInternalServerError {
	return &WebhookDeliveryItemRedeliverInternalServerError{}
}

/*WebhookDeliveryItemRedeliverInternalServerError handles this case with default header values.

Internal Server Error
*/
type WebhookDeliveryItemRedeliverInternalServerError struct {
	Payload *models.ServiceStandardErrorRespModel
}

func (o *WebhookDeliveryItemRedeliverInternalServerError) Error() string {
	return fmt.Sprintf("[POST /apps/{app-slug}/outgoing-webhooks/{app-webhook-slug}/delivery-items/{webhook-delivery-item-slug}/redeliver][%d] webhookDeliveryItemRedeliverInternalServerError  %+v", 500, o.Payload)
}

func (o *WebhookDeliveryItemRedeliverInternalServerError) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.ServiceStandardErrorRespModel)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}
